psoap.h File Reference
`#include <ptclib/pxml.h>`
`#include <ptclib/http.h>`

Go to the source code of this file.

## Classes

class | PSOAPMessage
| SOAP Message classes. More...
class | PSOAPServerRequestResponse
| SOAP Server classes. More...
class | PSOAPServerMethod
| Create an association between a method and its "notifier", the handler function. More...
class | PSOAPServerResource
| This resource will bind the methods to an http resource (a url) More...
class | PSOAPClient
| SOAP client classes. More...

## Macros

#define | DEFAULT_SOAP_URL "/soap"

## Functions

| PSORTED_LIST (PSOAPServerMethodList, PSOAPServerMethod)

## Macro Definition Documentation

## DEFAULT_SOAP_URL

#define DEFAULT_SOAP_URL "/soap"

## Function Documentation

## PSORTED_LIST()

PSORTED_LIST | ( | PSOAPServerMethodList | ,
|  | PSOAPServerMethod |
| ) |  |